Package org.eclipse.lemminx.services.extensions.hover

## Interface IHoverParticipant

All Known Implementing Classes:
  `ContentModelHoverParticipant`, `EntitiesHoverParticipant`, `HoverParticipantAdapter`, `XSIHoverParticipant`

    public interface IHoverParticipant

Hover participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.lsp4j.Hover` `onAttributeName​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onAttributeName method
`org.eclipse.lsp4j.Hover` `onAttributeValue​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onAttributeValue method
`org.eclipse.lsp4j.Hover` `onTag​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onTag method
`org.eclipse.lsp4j.Hover` `onText​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onText method

### Method Detail

#### onTag

    org.eclipse.lsp4j.Hover onTag​(IHoverRequest request,
                                  org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                           throws Exception

onTag method

Parameters:
  `hoverRequest` - the hover request.
  `the` - cancel checker.
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onAttributeName

    org.eclipse.lsp4j.Hover onAttributeName​(IHoverRequest request,
                                            org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                     throws Exception

onAttributeName method

Parameters:
  `hoverRequest` - the hover request.
  `the` - cancel checker.
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onAttributeValue

    org.eclipse.lsp4j.Hover onAttributeValue​(IHoverRequest request,
                                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                      throws Exception

onAttributeValue method

Parameters:
  `hoverRequest` - the hover request.
  `the` - cancel checker.
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onText

    org.eclipse.lsp4j.Hover onText​(IHoverRequest request,
                                   org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                            throws Exception

onText method

Parameters:
  `hoverRequest` - the hover request.
  `the` - cancel checker.
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`